Package com.omnisci.thrift.server

## Class TTableEpochInfo

- java.lang.Object
- - com.omnisci.thrift.server.TTableEpochInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TTableEpochInfo>`, `org.apache.thrift.TBase<TTableEpochInfo,​TTableEpochInfo._Fields>`, `org.apache.thrift.TSerializable`

    public class TTableEpochInfo
    extends Object
    implements org.apache.thrift.TBase<TTableEpochInfo,​TTableEpochInfo._Fields>, Serializable, Cloneable, Comparable<TTableEpochInfo>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TTableEpochInfo._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`int` `leaf_index`
`static Map<TTableEpochInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`int` `table_epoch`
`int` `table_id`

### Constructor Summary

Constructors
`TTableEpochInfo()`
`TTableEpochInfo​(int table_id, int table_epoch, int leaf_index)`
`TTableEpochInfo​(TTableEpochInfo other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TTableEpochInfo other)`
`TTableEpochInfo` `deepCopy()`
`boolean` `equals​(TTableEpochInfo that)`
`boolean` `equals​(Object that)`
`TTableEpochInfo._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TTableEpochInfo._Fields field)`
`int` `getLeaf_index()`
`int` `getTable_epoch()`
`int` `getTable_id()`
`int` `hashCode()`
`boolean` `isSet​(TTableEpochInfo._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetLeaf_index()` Returns true if field leaf_index is set (has been assigned a value) and false otherwise
`boolean` `isSetTable_epoch()` Returns true if field table_epoch is set (has been assigned a value) and false otherwise
`boolean` `isSetTable_id()` Returns true if field table_id is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TTableEpochInfo._Fields field, Object value)`
`TTableEpochInfo` `setLeaf_index​(int leaf_index)`
`void` `setLeaf_indexIsSet​(boolean value)`
`TTableEpochInfo` `setTable_epoch​(int table_epoch)`
`void` `setTable_epochIsSet​(boolean value)`
`TTableEpochInfo` `setTable_id​(int table_id)`
`void` `setTable_idIsSet​(boolean value)`
`String` `toString()`
`void` `unsetLeaf_index()`
`void` `unsetTable_epoch()`
`void` `unsetTable_id()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### table_id

    public int table_id

#### table_epoch

    public int table_epoch

#### leaf_index

    public int leaf_index

#### metaDataMap

    public static final Map<TTableEpochInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TTableEpochInfo

    public TTableEpochInfo()

#### TTableEpochInfo

    public TTableEpochInfo​(int table_id,
                           int table_epoch,
                           int leaf_index)

#### TTableEpochInfo

    public TTableEpochInfo​(TTableEpochInfo other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TTableEpochInfo deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TTableEpochInfo,​TTableEpochInfo._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TTableEpochInfo,​TTableEpochInfo._Fields>`

#### getTable_id

    public int getTable_id()

#### setTable_id

    public TTableEpochInfo setTable_id​(int table_id)

#### unsetTable_id

    public void unsetTable_id()

#### isSetTable_id

    public boolean isSetTable_id()

Returns true if field table_id is set (has been assigned a value) and false otherwise

#### setTable_idIsSet

    public void setTable_idIsSet​(boolean value)

#### getTable_epoch

    public int getTable_epoch()

#### setTable_epoch

    public TTableEpochInfo setTable_epoch​(int table_epoch)

#### unsetTable_epoch

    public void unsetTable_epoch()

#### isSetTable_epoch

    public boolean isSetTable_epoch()

Returns true if field table_epoch is set (has been assigned a value) and false otherwise

#### setTable_epochIsSet

    public void setTable_epochIsSet​(boolean value)

#### getLeaf_index

    public int getLeaf_index()

#### setLeaf_index

    public TTableEpochInfo setLeaf_index​(int leaf_index)

#### unsetLeaf_index

    public void unsetLeaf_index()

#### isSetLeaf_index

    public boolean isSetLeaf_index()

Returns true if field leaf_index is set (has been assigned a value) and false otherwise

#### setLeaf_indexIsSet

    public void setLeaf_indexIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TTableEpochInfo._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TTableEpochInfo,​TTableEpochInfo._Fields>`

#### getFieldValue

    public Object getFieldValue​(TTableEpochInfo._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TTableEpochInfo,​TTableEpochInfo._Fields>`

#### isSet

    public boolean isSet​(TTableEpochInfo._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TTableEpochInfo,​TTableEpochInfo._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TTableEpochInfo that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TTableEpochInfo other)

Specified by:
  `compareTo` in interface `Comparable<TTableEpochInfo>`

#### fieldForId

    public TTableEpochInfo._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TTableEpochInfo,​TTableEpochInfo._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`